/* arch/arm/include/asm/arch-exynos/display.h
 *
 * SAMSUNG SoC FONT display config.
 *
 * Copyright@ Samsung Electronics Co. LTD
 *
 * Manseok Kim <manseoks.kim@samsung.com> *
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source projec;
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/


#ifndef __DISPLAY_H__
#define __DISPLAY_H__

#if defined(CONFIG_CPU_EXYNOS8890)
#define LCD_WIDTH		1440
#define LCD_HEIGHT		2560
#elif defined(CONFIG_CPU_EXYNOS7870)
#define LCD_WIDTH		1080
#define LCD_HEIGHT		1920
#elif defined(CONFIG_CPU_EXYNOS7880)
#define LCD_WIDTH		1440
#define LCD_HEIGHT		2560
#elif defined(CONFIG_CPU_EXYNOS7570)
#define LCD_WIDTH		360
#define LCD_HEIGHT		360
#else
#define LCD_WIDTH		1080
#define LCD_HEIGHT		1920
#endif

#define FONT_BLACK		0xFF000000
#define FONT_GRAY		0xFF808080
#define FONT_WHITE		0xFFFFFFFF
#define FONT_RED		0xFFFF0000
#define FONT_GREEN		0xFF00FF00
#define FONT_BLUE		0xFF0000FF
#define FONT_YELLOW		0xFFFFFF00

#ifdef CONFIG_DISPLAY_DRAWFONT
int print_lcd(u32 color, u32 bg_color, const char *fmt, ...);
int print_lcd_update(u32 color, u32 bg_color, const char *fmt, ...);
#else
#define print_lcd(color, bg_color, fmt, str...) do {} while (0)
#define print_lcd_update(color, bg_color, fmt, str...) do {} while (0)
#endif
#endif /*__DISPLAY_H__*/
