/*
 * Copyright@ Samsung Electronics Co. LTD
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source projec;
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#ifndef __EXYNOS7870_H__
#define __EXYNOS7870_H__

/* EXYNOS7870 PLL */
#define MEM_PLL_7870						2
#define MEDIA_PLL_7870						3
#define BUS_PLL_7870						4

/* SFR base address. */
#define EXYNOS7870_PRO_ID 					0x10100000
#define EXYNOS7870_WATCHDOG_BASE 				0x10170000
#define EXYNOS7870_MCT_BASE 					0x101B0000
#define EXYNOS7870_OTP_CON_TOP					0x100D0000
#define EXYNOS7870_G_TCON 					0x0240
#define EXYNOS7870_CMU_MIF_BASE 				0x10460000
#define EXYNOS7870_MEM_PLL_CON0 				(EXYNOS7870_CMU_MIF_BASE + 0x0100)
#define EXYNOS7870_MEDIA_PLL_CON0 				(EXYNOS7870_CMU_MIF_BASE + 0x0120)
#define EXYNOS7870_BUS_PLL_CON0 				(EXYNOS7870_CMU_MIF_BASE + 0x0140)
#define EXYNOS7870_CLK_CON_MUX_CLKCMU_FSYS_MMC0		(EXYNOS7870_CMU_MIF_BASE + 0x0288)
#define EXYNOS7870_CLK_CON_MUX_CLKCMU_FSYS_MMC1		(EXYNOS7870_CMU_MIF_BASE + 0x028C)
#define EXYNOS7870_CLK_CON_MUX_CLKCMU_FSYS_MMC2		(EXYNOS7870_CMU_MIF_BASE + 0x0290)
#define EXYNOS7870_CLK_CON_MUX_CLKCMU_PERI_UART_BTWIFIFM	(EXYNOS7870_CMU_MIF_BASE + 0x02A4)
#define EXYNOS7870_CLK_CON_MUX_CLKCMU_PERI_UART_DEBUG		(EXYNOS7870_CMU_MIF_BASE + 0x02A8)
#define EXYNOS7870_CLK_CON_MUX_CLKCMU_PERI_UART_SENSOR		(EXYNOS7870_CMU_MIF_BASE + 0x02AC)
#define EXYNOS7870_CLK_CON_DIV_CLKCMU_FSYS_MMC0		(EXYNOS7870_CMU_MIF_BASE + 0x0488)
#define EXYNOS7870_CLK_CON_DIV_CLKCMU_FSYS_MMC1		(EXYNOS7870_CMU_MIF_BASE + 0x048C)
#define EXYNOS7870_CLK_CON_DIV_CLKCMU_FSYS_MMC2		(EXYNOS7870_CMU_MIF_BASE + 0x0490)
#define EXYNOS7870_CLK_CON_DIV_CLKCMU_PERI_UART_BTWIFIFM	(EXYNOS7870_CMU_MIF_BASE + 0x04A4)
#define EXYNOS7870_CLK_CON_DIV_CLKCMU_PERI_UART_DEBUG		(EXYNOS7870_CMU_MIF_BASE + 0x04A8)
#define EXYNOS7870_CLK_CON_DIV_CLKCMU_PERI_UART_SENSOR		(EXYNOS7870_CMU_MIF_BASE + 0x04AC)
#define EXYNOS7870_POWER_BASE 					0x10480000
#define EXYNOS7870_PMU_ALIVE_BASE 				0x10480000
#define EXYNOS7870_POWER_MIPI_PHY_M4S4_CONTROL			(EXYNOS7870_PMU_ALIVE_BASE + 0x070C)
#define UART_IO_SHARE_CTRL 					(EXYNOS7870_PMU_ALIVE_BASE + 0x6200)
#define EXYNOS7870_SWRESET 					0x10480400
#define EXYNOS7870_POWER_DFD_RESET_SEQUENCER_CONFIGURATION	(EXYNOS7870_POWER_BASE + 0x500)
#define EXYNOS7870_POWER_RST_STAT 				(EXYNOS7870_POWER_BASE + 0x0404)
#define EXYNOS7870_POWER_INFORM0 				(EXYNOS7870_POWER_BASE + 0x0800)
#define EXYNOS7870_POWER_INFORM1 				(EXYNOS7870_POWER_BASE + 0x0804)
#define EXYNOS7870_POWER_INFORM3 				(EXYNOS7870_POWER_BASE + 0x080C)
#define EXYNOS7870_POWER_PS_HOLD_CONTROL 			(EXYNOS7870_POWER_BASE + 0x330C)
#define EXYNOS7870_MMC_BASE 					0x13540000
#define EXYNOS7870_MMC0_BASE 					0x13540000
#define EXYNOS7870_PWMTIMER_BASE 				0x13970000
#define EXYNOS7870_UART_BASE 					0x13800000
#define EXYNOS7870_GPIO_FSYS_BASE 				0x13750000
#define EXYNOS7870_GPR0CON 					(EXYNOS7870_GPIO_FSYS_BASE)
#define EXYNOS7870_GPR1CON 					(EXYNOS7870_GPIO_FSYS_BASE + 0x0020)
#define EXYNOS7870_GPR2CON 					(EXYNOS7870_GPIO_FSYS_BASE + 0x0040)
#define EXYNOS7870_GPR3CON 					(EXYNOS7870_GPIO_FSYS_BASE + 0x0060)
#define EXYNOS7870_GPIO_TOP_BASE 				0x139B0000
#define EXYNOS7870_GPB0CON 					(EXYNOS7870_GPIO_TOP_BASE)
#define EXYNOS7870_GPD1CON 					(EXYNOS7870_GPIO_TOP_BASE + 0x0100)
#define EXYNOS7870_GPD1DAT 					(EXYNOS7870_GPIO_TOP_BASE + 0x0104)
#define EXYNOS7870_GPD1PUD 					(EXYNOS7870_GPIO_TOP_BASE + 0x0108)
#define EXYNOS7870_GPD2CON 					(EXYNOS7870_GPIO_TOP_BASE + 0x0120)
#define EXYNOS7870_GPD3CON 					(EXYNOS7870_GPIO_TOP_BASE + 0x0140)
#define EXYNOS7870_GPE0CON 					(EXYNOS7870_GPIO_TOP_BASE + 0x01A0)
#define EXYNOS7870_GPIO_ALIVE_BASE 				0x139F0000
#define EXYNOS7870_GPA1CON 					(EXYNOS7870_GPIO_ALIVE_BASE + 0x0060)
#define EXYNOS7870_SYSREG_DISPAUD_BASE				0x148F0000
#define EXYNOS7870_SYSREG_MIPI_PHY_CON				(EXYNOS7870_SYSREG_DISPAUD_BASE + 0x100C)

#define EXYNOS7870_CPU_SRAM					(EXYNOS7870_OTP_CON_TOP + 0x9010)

/* unnecessary definition */
#define EXYNOS7870_SYSREG_BASE		0x0
#define EXYNOS7870_GPIO_PART1_BASE	0x0
#define EXYNOS7870_GPIO_PART2_BASE	0x0
#define EXYNOS7870_GPIO_PART3_BASE	0x0
#define EXYNOS7870_ADC_BASE		0x0
#define EXYNOS7870_CLOCK_BASE		0x0
#define EXYNOS7870_FIMD_BASE		0x0
#define EXYNOS7870_MIPI_DSIM_BASE	0x0
#define EXYNOS7870_GPIO_PART4_BASE	0x0
#define EXYNOS7870_MODEM_BASE		0x0
#define EXYNOS7870_USBPHY_BASE		0x0
#define EXYNOS7870_USB_HOST_EHCI_BASE	0x0
#define EXYNOS7870_USBOTG_BASE		0x0
#define EXYNOS7870_SROMC_BASE		0x0

#endif	/* __EXYNOS7870_H__ */
