/*
 * Copyright@ Samsung Electronics Co. LTD
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source projec;
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#ifndef __EXYNOS7880_H__
#define __EXYNOS7880_H__

/* EXYNOS7880 PLL */
#define CPUCL0_PLL_7880						0
#define CPUCL1_PLL_7880						1
#define MIF_PLL_7880						2
#define MEDIA_PLL_7880						3
#define BUS_PLL_7880						4

/* SFR base address. */
#define EXYNOS7880_PRO_ID 					0x10100000
#define EXYNOS7880_WATCHDOG_BASE 				0x10170000
#define EXYNOS7880_MCT_BASE 					0x101B0000
#define EXYNOS7880_MCT_G_TCON 					(EXYNOS7880_MCT_BASE + 0x0240)
#define EXYNOS7880_CMU_MIF0_BASE 				0x10450000
#define EXYNOS7880_MIF_PLL_CON0 				(EXYNOS7880_CMU_MIF0_BASE + 0x0100)
#define EXYNOS7880_CMU_CCORE_BASE 				0x10680000
#define EXYNOS7880_MEDIA_PLL_CON0 				(EXYNOS7880_CMU_CCORE_BASE + 0x0120)
#define EXYNOS7880_BUS_PLL_CON0 				(EXYNOS7880_CMU_CCORE_BASE + 0x0140)
#define EXYNOS7880_CLK_CON_MUX_CLKCMU_FSYS_MMC0			(EXYNOS7880_CMU_CCORE_BASE + 0x0288)
#define EXYNOS7880_CLK_CON_MUX_CLKCMU_FSYS_MMC1			(EXYNOS7880_CMU_CCORE_BASE + 0x028C)
#define EXYNOS7880_CLK_CON_MUX_CLKCMU_FSYS_MMC2			(EXYNOS7880_CMU_CCORE_BASE + 0x0290)
#define EXYNOS7880_CLK_CON_MUX_CLKCMU_FSYS_UFSUNIPRO		(EXYNOS7880_CMU_CCORE_BASE + 0x0294)
#define EXYNOS7880_CLK_CON_MUX_CLKCMU_FSYS_UFSUNIPRO_CFG	(EXYNOS7880_CMU_CCORE_BASE + 0x0298)
#define EXYNOS7880_CLK_CON_MUX_CLKCMU_PERI_UART_BTWIFIFM	(EXYNOS7880_CMU_CCORE_BASE + 0x02A4)
#define EXYNOS7880_CLK_CON_MUX_CLKCMU_PERI_UART_DEBUG		(EXYNOS7880_CMU_CCORE_BASE + 0x02A8)
#define EXYNOS7880_CLK_CON_MUX_CLKCMU_PERI_UART_SENSOR		(EXYNOS7880_CMU_CCORE_BASE + 0x02AC)
#define EXYNOS7880_CLK_CON_DIV_CLKCMU_FSYS_MMC0			(EXYNOS7880_CMU_CCORE_BASE + 0x0488)
#define EXYNOS7880_CLK_CON_DIV_CLKCMU_FSYS_MMC1			(EXYNOS7880_CMU_CCORE_BASE + 0x048C)
#define EXYNOS7880_CLK_CON_DIV_CLKCMU_FSYS_MMC2			(EXYNOS7880_CMU_CCORE_BASE + 0x0490)
#define EXYNOS7880_CLK_CON_DIV_CLKCMU_FSYS_UFSUNIPRO		(EXYNOS7880_CMU_CCORE_BASE + 0x0494)
#define EXYNOS7880_CLK_CON_DIV_CLKCMU_FSYS_UFSUNIPRO_CFG	(EXYNOS7880_CMU_CCORE_BASE + 0x0498)
#define EXYNOS7880_CLK_CON_DIV_CLKCMU_PERI_UART_BTWIFIFM	(EXYNOS7880_CMU_CCORE_BASE + 0x04A4)
#define EXYNOS7880_CLK_CON_DIV_CLKCMU_PERI_UART_DEBUG		(EXYNOS7880_CMU_CCORE_BASE + 0x04A8)
#define EXYNOS7880_CLK_CON_DIV_CLKCMU_PERI_UART_SENSOR		(EXYNOS7880_CMU_CCORE_BASE + 0x04AC)
#define EXYNOS7880_POWER_BASE 					0x106B0000
#define EXYNOS7880_SWRESET 					(EXYNOS7880_POWER_BASE + 0x0400)
#define EXYNOS7880_DFD_RESET_SEQUENCER_CONFIGURATION		(EXYNOS7880_POWER_BASE + 0x0500)
#define EXYNOS7880_POWER_RST_STAT 				(EXYNOS7880_POWER_BASE + 0x0404)
#define EXYNOS7880_POWER_MIPI_PHY_M4S2_CONTROL			(EXYNOS7880_POWER_BASE + 0x070C)
#define EXYNOS7880_POWER_MIPI_PHY_M4S0_CONTROL			(EXYNOS7880_POWER_BASE + 0x0710)
#define EXYNOS7880_POWER_INFORM0 				(EXYNOS7880_POWER_BASE + 0x0800)
#define EXYNOS7880_POWER_INFORM1 				(EXYNOS7880_POWER_BASE + 0x0804)
#define EXYNOS7880_POWER_INFORM3 				(EXYNOS7880_POWER_BASE + 0x080C)
#define EXYNOS7880_POWER_SYSIP_DAT0 				(EXYNOS7880_POWER_BASE + 0x0810)
#define EXYNOS7880_PS_HOLD_CONTROL 				(EXYNOS7880_POWER_BASE + 0x330C)
#define EXYNOS7880_UART_IO_SHARE_CTRL 				(EXYNOS7880_POWER_BASE + 0x6200)
#define EXYNOS7880_CMU_CPUCL0_BASE 				0x10900000
#define EXYNOS7880_CPUCL0_PLL_CON0				(EXYNOS7880_CMU_CPUCL0_BASE + 0x0100)
#define EXYNOS7880_CMU_CPUCL1_BASE 				0x10800000
#define EXYNOS7880_CPUCL1_PLL_CON0				(EXYNOS7880_CMU_CPUCL1_BASE + 0x0100)
#define EXYNOS7880_MMC_BASE 					0x13540000
#define EXYNOS7880_MMC0_BASE 					0x13540000
#define EXYNOS7880_UART_BASE 					0x13800000
#define EXYNOS7880_PWMTIMER_BASE 				0x13970000
#define EXYNOS7880_GPIO_FSYS_BASE 				0x13750000
#define EXYNOS7880_GPR0CON 					(EXYNOS7880_GPIO_FSYS_BASE)
#define EXYNOS7880_GPR1CON 					(EXYNOS7880_GPIO_FSYS_BASE + 0x0020)
#define EXYNOS7880_GPR2CON 					(EXYNOS7880_GPIO_FSYS_BASE + 0x0040)
#define EXYNOS7880_GPR3CON 					(EXYNOS7880_GPIO_FSYS_BASE + 0x0060)
#define EXYNOS7880_GPIO_TOP_BASE 				0x139B0000
#define EXYNOS7880_GPB0CON 					(EXYNOS7880_GPIO_TOP_BASE)
#define EXYNOS7880_GPD1CON 					(EXYNOS7880_GPIO_TOP_BASE + 0x0100)
#define EXYNOS7880_GPD1DAT 					(EXYNOS7880_GPIO_TOP_BASE + 0x0104)
#define EXYNOS7880_GPD1PUD 					(EXYNOS7880_GPIO_TOP_BASE + 0x0108)
#define EXYNOS7880_GPD2CON 					(EXYNOS7880_GPIO_TOP_BASE + 0x0120)
#define EXYNOS7880_GPD3CON 					(EXYNOS7880_GPIO_TOP_BASE + 0x0140)
#define EXYNOS7880_GPD3DAT 					(EXYNOS7880_GPIO_TOP_BASE + 0x0144)
#define EXYNOS7880_GPD5CON 					(EXYNOS7880_GPIO_TOP_BASE + 0x0180)
#define EXYNOS7880_GPD5DAT 					(EXYNOS7880_GPIO_TOP_BASE + 0x0184)
#define EXYNOS7880_GPE0CON 					(EXYNOS7880_GPIO_TOP_BASE + 0x01A0)
#define EXYNOS7880_GPIO_NFC_BASE 				0x139C0000
#define EXYNOS7880_GPIO_TOUCH_BASE 				0x139D0000
#define EXYNOS7880_GPIO_ESE_BASE 				0x139E0000
#define EXYNOS7880_GPIO_ALIVE_BASE 				0x139F0000
#define EXYNOS7880_GPA1CON 					(EXYNOS7880_GPIO_ALIVE_BASE + 0x0060)
#define EXYNOS7880_SYSREG_DISPAUD_BASE				0x148F0000
#define EXYNOS7880_SYSREG_MIPI_PHY_CON				(EXYNOS7880_SYSREG_DISPAUD_BASE + 0x100C)

/* unnecessary definition */
#define EXYNOS7880_SYSREG_BASE		0x0
#define EXYNOS7880_GPIO_PART1_BASE	0x0
#define EXYNOS7880_GPIO_PART2_BASE	0x0
#define EXYNOS7880_GPIO_PART3_BASE	0x0
#define EXYNOS7880_ADC_BASE		0x0
#define EXYNOS7880_CLOCK_BASE		0x0
#define EXYNOS7880_FIMD_BASE		0x0
#define EXYNOS7880_MIPI_DSIM_BASE	0x0
#define EXYNOS7880_GPIO_PART4_BASE	0x0
#define EXYNOS7880_MODEM_BASE		0x0
#define EXYNOS7880_USBPHY_BASE		0x0
#define EXYNOS7880_USB_HOST_EHCI_BASE	0x0
#define EXYNOS7880_USBOTG_BASE		0x0
#define EXYNOS7880_SROMC_BASE		0x0

#endif	/* __EXYNOS7880_H__ */
