/*
 * Copyright@ Samsung Electronics Co. LTD
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source projec;
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#ifndef __BL2_CONFIG_H__
#define __BL2_CONFIG_H__

#include <asm/arch/exynos7570.h>

#define CONFIG_SMC_CMD

/* Configuration of exception vector */
/* about 2KB space is needed for it */
#define CONFIG_ENABLE_EXCEPTION_VECTOR

#define CONFIG_PHY_IRAM_BASE			(0x02020000)
#define CONFIG_PHY_IRAM_NS_BASE			(CONFIG_PHY_IRAM_BASE + 0x22000)
#define CONFIG_PHY_BL_SYS_INFO			(CONFIG_PHY_IRAM_NS_BASE + 0x800)
#define CONFIG_PHY_BL_SYS_INFO_DRAM_SIZE	(CONFIG_PHY_BL_SYS_INFO + 0x48)
#define CONFIG_IRAM_STACK			(CONFIG_PHY_IRAM_NS_BASE + 0x1000)

#define S5P_CHECK_SLEEP				0x00000BAD

/* MMC partition info */
#define PART_SIZE_BL1				(8 * 1024)
#define PART_SIZE_EL3_MON			(120 * 1024)
#define PART_SIZE_BL2_CODE			(12 * 1024)
#define PART_SIZE_ECT				(24 * 1024)
#define PART_SIZE_APM				(27 * 1024)
#define PART_SIZE_BL2_SIGNATURE			(1 * 1024)
#if 0
#define PART_SIZE_BL2				(PART_SIZE_BL2_CODE + PART_SIZE_APM + \
							PART_SIZE_ECT + PART_SIZE_BL2_SIGNATURE)

#define MOVI_BLKSIZE				(512) /* 512 bytes */
#define MOVI_BL1_BLKCNT				(PART_SIZE_BL1 / MOVI_BLKSIZE)
#define MOVI_EL3_MON_BLKCNT			(PART_SIZE_EL3_MON / MOVI_BLKSIZE)
#define MOVI_BL2_BLKCNT				(PART_SIZE_BL2 / MOVI_BLKSIZE)
#define MOVI_ECT_BLKCNT				(PART_SIZE_ECT / MOVI_BLKSIZE)
#define MOVI_BL3_BLKCNT				(PART_SIZE_BL3 / MOVI_BLKSIZE)

#define eFUSE_SIZE				(512) /* 512 bytes */
#define MOVI_BL3_POS				((eFUSE_SIZE / MOVI_BLKSIZE) + \
							MOVI_BL1_BLKCNT + \
							MOVI_EL3_MON_BLKCNT + \
							MOVI_BL2_BLKCNT + \
							MOVI_ECT_BLKCNT)
#endif
/* image inforamtion base address for SMC */
#define CONFIG_SMC_IMAGE_INFORM_BASE		(CONFIG_SYS_TEXT_BASE - 0x2000)

/* RST_STAT */
#define WRESET					(1 << 28)
#define APOLLO_WDTRESET			(1 << 24)
#define ATLAS_WDTRESET				(1 << 23)

/* Boot device */
#define SDMMC_CH2				0x0
#define EMMC					0x14
#define UFS					0x20
#define USB					0x40

#endif /*__BL2_CONFIG_H__*/

