/*
 * Copyright@ Samsung Electronics Co. LTD
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source projec;
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#include <config.h>
#include "bl2_config.h"

.global mark_bl2
mark_bl2:
	/* mark that bl2 is executed */
	ldr	x1, =CONFIG_SYS_SDRAM_BASE
	ldr	w0, =0xabcdef
	str	w0, [x1]

	ret

.global pmic_gpio_init
pmic_gpio_init:
	/* Set PMIC WRSTBI(GPD1_6) to Pull-up/down disable */
	ldr	x0, =EXYNOS7570_GPD1PUD
	ldr	w1, [x0]
	bic	w1, w1, #(0x3 << 12)
	str	w1, [x0]

	/* Set PMIC WRSTBI(GPD1_6) to Output */
	ldr	x0, =EXYNOS7570_GPD1CON
	ldr	w1, [x0]
	bic	w1, w1, #(0xF << 24)
	orr	w1, w1, #(0x1 << 24)
	str	w1, [x0]

	/* Set PMIC WRSTBI(GPD1_6) to High */
	ldr	x0, =EXYNOS7570_GPD1DAT
	ldr	w1, [x0]
	orr	w1, w1, #(0x1 << 6)
	str	w1, [x0]
	ret
