/*
 * Copyright@ Samsung Electronics Co. LTD
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source project
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#ifndef __PMIC_H__
#define __PMIC_H__

/* S2MPU06 slave address */
#define S2MPU06_PM_ADDR		0x1
#define S2MPU06_RTC_ADDR	0x2
#define S2MPU06_CHG_ADDR	0x4
#define S2MPU06_FG_ADDR		0x5

/* S2MPU06 Register Address */
#define S2MPU06_PM_INT1		0x00
#define S2MPU06_PM_INT2		0x01
#define S2MPU06_PM_PWRONSRC	0x08
#define S2MPU06_PM_OFFSRC	0x09
#define S2MPU06_PM_RTC_BUF	0x0B
#define S2MPU06_PM_CTRL1	0x0C
#define S2MPU06_PM_CTRL3	0x0E
#define S2MPU06_PM_LDO2_CTRL	0x20
#define S2MPU06_PM_LDO13_CTRL	0x2C
#define S2MPU06_PM_LDO19_CTRL	0x32
#define S2MPU06_PM_LDO20_CTRL	0x33
#define S2MPU06_RTC_WTSR_SMPL	0x01
#define S2MPU06_FG_VBAT		0x04
#define S2MPU06_FG_SOC		0x0C

/*
 * RTC_BUF
 */
#define PERI_32KHZ_EN	(0x1 << 1)
#define AP_32KHZ_EN	(0x1 << 0)

/*
 * CTRL1
 */
#define MRSTBEN		(0x1 << 4)

/*
 * CTRL3
 */
#define WRSTEN		(0x1 << 4)

extern void pmic_enable_peric_dev(void);
extern void fg_init(void);

#endif /*__PMIC_H__*/

