/*
 * Copyright@ Samsung Electronics Co. LTD
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source project
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#include "pmic_S2MPW01.h"
#include "../../../drivers/speedy/speedy.h"
#include <common.h>

void pmic_enable_peric_dev(void)
{
	unsigned char reg;

	pmic_gpio_init();

	speedy_init();

	speedy_read(S2MPW01_PM_ADDR, S2MPW01_PM_TIME_CTRL1, &reg);
	reg |= S2MPW01_WRSTBIEN;
	speedy_write(S2MPW01_PM_ADDR, S2MPW01_PM_TIME_CTRL1, reg);

	speedy_read(S2MPW01_PM_ADDR, S2MPW01_PM_CTRL1, &reg);
	reg &= ~S2MPW01_MRSTBEN;
	speedy_write(S2MPW01_PM_ADDR, S2MPW01_PM_CTRL1, reg);

	speedy_read(S2MPW01_PM_ADDR, S2MPW01_PM_CTRL3, &reg);
	reg |= S2MPW01_WRSTEN;
	speedy_write(S2MPW01_PM_ADDR, S2MPW01_PM_CTRL3, reg);

	speedy_read(S2MPW01_PM_ADDR, S2MPW01_PM_RTC_BUF, &reg);
	reg |= S2MPW01_PERI_32KHZ_EN;
	speedy_write(S2MPW01_PM_ADDR, S2MPW01_PM_RTC_BUF, reg);

	/* undershoot protect code */
	speedy_write(S2MPW01_PM_ADDR, 0x3F, 0x0E);
}

void pmic_enable_display(void)
{
	unsigned char reg;

	speedy_read(S2MPW01_PM_ADDR, S2MPW01_PM_LDO3_CTRL, &reg);
	reg |= S2MPW01_OUTPUT_ON_NORMAL;
	speedy_write(S2MPW01_PM_ADDR, S2MPW01_PM_LDO3_CTRL, reg);

	//speedy_read(S2MPW01_PM_ADDR, S2MPW01_PM_LDO16_CTRL, &reg);
	reg = 0x34;		// 3.1V
	reg |= S2MPW01_OUTPUT_ON_NORMAL;
	speedy_write(S2MPW01_PM_ADDR, S2MPW01_PM_LDO16_CTRL, reg);

	speedy_read(S2MPW01_PM_ADDR, S2MPW01_PM_LDO17_CTRL, &reg);
	reg |= S2MPW01_OUTPUT_ON_NORMAL;
	speedy_write(S2MPW01_PM_ADDR, S2MPW01_PM_LDO17_CTRL, reg);

	udelay(1000);

	//speedy_read(S2MPW01_PM_ADDR, S2MPW01_PM_LDO18_CTRL, &reg);
	reg = 0x34;		// 3.1V
	reg |= S2MPW01_OUTPUT_ON_NORMAL;
	speedy_write(S2MPW01_PM_ADDR, S2MPW01_PM_LDO18_CTRL, reg);
}
