/*
 * Copyright@ Samsung Electronics Co. LTD
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source project
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#ifndef __S2MPW01_PMIC_H__
#define __S2MPW01_PMIC_H__

/* S2MPW01 slave address */
#define S2MPW01_PM_ADDR	0x1

/* S2MPW01 Register Address */
#define S2MPW01_PM_INT1	0x00
#define S2MPW01_PM_INT2	0x01
#define S2MPW01_PM_PWRONSRC	0x08
#define S2MPW01_PM_RTC_BUF	0x0B
#define S2MPW01_PM_CTRL1	0x0C
#define S2MPW01_PM_CTRL3	0x0E
#define S2MPW01_PM_STATUS1	0x06
#define S2MPW01_PM_TIME_CTRL1	0x11
#define S2MPW01_PM_LDO3_CTRL	0x24
#define S2MPW01_PM_LDO11_CTRL	0x2C
#define S2MPW01_PM_LDO16_CTRL	0x31
#define S2MPW01_PM_LDO17_CTRL	0x32
#define S2MPW01_PM_LDO18_CTRL	0x33

/*
 * RTC_BUF
 */
#define S2MPW01_PERI_32KHZ_EN	(0x1 << 2)
#define S2MPW01_AP_32KHZ_EN	(0x1 << 0)

/*
 * CTRL1
 */
#define S2MPW01_MRSTBEN	(0x1 << 4)

/*
 * CTRL3
 */
#define S2MPW01_WRSTEN		(0x1 << 4)

/*
 * TIME_CTRL1
 */
#define S2MPW01_WRSTBIEN	(0x1 << 1)

/*
 * LDOx_CTRL1
 */
#define S2MPW01_OUTPUT_ON_NORMAL	(0x3 << 6)

void pmic_enable_peric_dev(void);
void pmic_gpio_init(void);

#endif /*__S2MPW01_PMIC_H__*/

