/* drivers/video/exynos/decon_7580/panels/r63315_mipi_lcd.c
 *
 * Samsung SoC MIPI LCD driver.
 *
 * Copyright (c) 2014 Samsung Electronics
 *
 * Haowei Li, <haowei.li@samsung.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
*/

#include "../dsim.h"
#include "lcd_ctrl.h"
#include "decon_lcd.h"

#define MAX_BRIGHTNESS 255
#define MIN_BRIGHTNESS 0
#define DEFAULT_BRIGHTNESS 0

static int r63315_probe(struct dsim_device *dsim)
{
	return 1;
}

static int r63315_displayon(struct dsim_device *dsim)
{
	lcd_init(dsim->id, dsim->lcd_info);
	lcd_enable_exynos(dsim->id);
	return 1;
}

static int r63315_suspend(struct dsim_device *dsim)
{
	return 1;
}

static int r63315_resume(struct dsim_device *dsim)
{
	return 1;
}

struct mipidsim_lcd_driver r63315_mipi_lcd_driver = {
	.probe		= r63315_probe,
	.displayon	= r63315_displayon,
	.suspend	= r63315_suspend,
	.resume		= r63315_resume,
};

struct mipidsim_lcd_driver *decon_get_panel_info(void)
{
	return &r63315_mipi_lcd_driver;
}
