/* linux/drivers/video/decon_display/r63315_param.h
 *
 * Copyright (c) 2015 Samsung Electronics Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
*/

#ifndef __R63315_PARAM_H__
#define __R63315_PARAM_H__

/* MIPI commands list */
static const unsigned char SEQ_1[] = {
	0xb0,
	0x04
};

static const unsigned char SEQ_2[] = {
	0xb3,
	0x14, 0x00, 0x00, 0x00, 0x00, 0x00
};

static const unsigned char SEQ_3[] = {
	0xb6,
	0x3a, 0xb3
};

static const unsigned char SEQ_4[] = {
	0xc0,
	0x00
};

static const unsigned char SEQ_5[] = {
	0xc1,
	0x84, 0x60, 0x10, 0xEB, 0xFF,
	0x6F, 0xCE, 0xFF, 0xFF, 0x17,
	0x12, 0x58, 0x73, 0xAE, 0x31,
	0x20, 0xC6, 0xFF, 0xFF, 0x1F,
	0xF3, 0xFF, 0x5F, 0x10, 0x10,
	0x10, 0x10, 0x00, 0x62, 0x01,
	0x22, 0x22, 0x00, 0x01,
};

static const unsigned char SEQ_6[] = {
	0xc2,
	0x31, 0xf7, 0x80, 0x06, 0x08,
	0x80, 0x00,
};

static const unsigned char SEQ_7[] = {
	0xc4,
	0x70, 0x00, 0x00, 0x00, 0x33,
	0x00, 0x00, 0x33, 0x22, 0x0c,
	0x06, 0x00, 0x00, 0x00, 0x00,
	0x33, 0x00, 0x00, 0x33, 0x22,
	0x0c, 0x06,
};

static const unsigned char SEQ_8[] = {
	0xc6,
	0x77, 0x00, 0x69, 0x00, 0x69,
	0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x16, 0x0A,
	0x77, 0x00, 0x69, 0x00, 0x69,
	0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x16, 0x18, 0x08,
};

static const unsigned char SEQ_9[] = {
	0xc7,
	0x00, 0x13, 0x1a, 0x22, 0x2f,
	0x3b, 0x44, 0x52, 0x36, 0x3c,
	0x4f, 0x5f, 0x67, 0x6b, 0x72,
	0x00, 0x13, 0x1a, 0x22, 0x2f,
	0x3b, 0x44, 0x52, 0x36, 0x3c,
	0x4f, 0x5f, 0x67, 0x6b, 0x72,
};

static const unsigned char SEQ_10[] = {
	0xc8,
	0x00, 0x00, 0x00, 0x00, 0x00,
	0xfc, 0x00, 0x00, 0x00, 0x00,
	0x00, 0xfc, 0x00, 0x00, 0x00,
	0x00, 0x00, 0xfc, 0x00,
};

static const unsigned char SEQ_11[] = {
	0xcb,
	0x31, 0xFC, 0x3F, 0x8C, 0x00,
	0x00, 0x00, 0x00, 0xC0
};

static const unsigned char SEQ_12[] = {
	0xcc,
	0x0b,
};

static const unsigned char SEQ_13[] = {
	0xd0,
	0x44, 0x81, 0xBB, 0x19, 0xD9,
	0x4C, 0x19, 0x19, 0x04, 0x00
};

static const unsigned char SEQ_14[] = {
	0xd3,
	0x1B, 0x33, 0xBB, 0xBB, 0xB3,
	0x33, 0x33, 0x33, 0x01, 0x01,
	0x00, 0xA0, 0xD8, 0xA0, 0x0D,
	0x48, 0x48, 0x44, 0x3B, 0x22,
	0x72, 0x07, 0x3D, 0xBF, 0x33,
};

static const unsigned char SEQ_15[] = {
	0xd5,
	0x06, 0x00, 0x00, 0x01, 0x43,
	0x01, 0x43,
};

static const unsigned char SEQ_16[] = {
	0xd6,
	0x01,
};

static const unsigned char SEQ_SLEEP_OUT[] = {
	0x11,
};

static const unsigned char SEQ_TE_ON[] = {
	0x35,
};

static const unsigned char SEQ_DISPLAY_ON[] = {
	0x29,
};

static const unsigned char SEQ_DISPLAY_OFF[] = {
	0x28,
	0x00,  0x00
};

static const unsigned char SEQ_SLEEP_IN[] = {
	0x10,
	0x00, 0x00
};

#endif /* __R63315_PARAM_H__ */
