/*
 * Copyright (C) 2016 Samsung Electronics
 *
 * Configuration settings for the SAMSUNG ESPRESSO7270 SIP (EXYNOS7270) board.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#ifndef __CONFIG_ESPRESSO7270_SIP_H
#define __CONFIG_ESPRESSO7270_SIP_H

/* High Level Configuration Options */
#define CONFIG_ARM64
#define CONFIG_SAMSUNG			/* in a SAMSUNG core */
#define CONFIG_S5P			/* S5P Family */
#define CONFIG_ARCH_EXYNOS		/* which is in a Exynos Family */
#define CONFIG_ARCH_EXYNOS7		/* which is in a Exynos7 Family */
#define CONFIG_CPU_EXYNOS7570		/* which is in a Exynos7570 */
#define CONFIG_MACH_ESPRESSO7270_SIP	/* which is in a ESPRESSO7270_SIP */

#define CONFIG_BOARD_NAME		"ESPRESSO7270SIP"

#include <configs/exynos7270_aarch64-common.h>
#include <asm/arch/cpu.h>		/* get chip and board defs */

#define CONFIG_GPT_ENV \
		"uuid_disk=12345678-1234-1234-1234-123456789012;"\
		"name=nvinfo,size=8MiB,start=0x2000000,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=system,size=1280MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=userdata,size=2048MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=cache,size=48MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=oem,size=16MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=vendor,size=192MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=boot,size=12MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=recovery,size=20MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=bloader,size=8MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=misc,size=8MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=persist,size=16MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4"

#define USE_MMC0

/* select serial console configuration */
#define CONFIG_SERIAL_MULTI
#define CONFIG_SERIAL2			/* use SERIAL 2 */
#define CONFIG_BAUDRATE		115200
/*#define CONFIG_USE_RPMB*/

#define CONFIG_NR_DRAM_BANKS	2
#define SDRAM_BANK_SIZE	(256UL << 20UL)	/* 256 MB */
#define PHYS_SDRAM_1		CONFIG_SYS_SDRAM_BASE
#define PHYS_SDRAM_1_SIZE	SDRAM_BANK_SIZE
#define PHYS_SDRAM_2		(CONFIG_SYS_SDRAM_BASE + SDRAM_BANK_SIZE)
#define PHYS_SDRAM_2_SIZE	SDRAM_BANK_SIZE

/* INFORM4 assignment */
#define INFORM_NONE				0x0
#define INFORM_BOOTLOADER		0xd
#define INFORM_RECOVERY			0xf
#define INFORM_NEED_UPDATE		0x6
#define INFORM_PANIC			0xa

#define VERSION_BOOTLOADER "TAI00B"
#define BASEBAND_VERSION "N/A"

#endif	/* __CONFIG_ESPRESSO7270_SIP_H */
